For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet all bulk actions
      • POSTCreate bulk action
      • GETGet bulk action
      • GETGet bulk action items
      • POSTCheck work
      • POSTSearch bulk actions
  • Event API
LoginSandbox
Transaction APIBulk Actions

Check work

POST
/v:version/bulk-actions/check
POST
/v:version/bulk-actions/check
$curl -X POST https://api.solvimon.com/v1/bulk-actions/check \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "FINALIZE_INVOICES"
>}'
1{
2 "type": "FINALIZE_INVOICES",
3 "number_of_resources": 1,
4 "included_example_resources": [
5 {
6 "type": "INVOICE",
7 "id": "string"
8 }
9 ]
10}

Requires the BULK_ACTION.VIEW permission.

Was this page helpful?
Previous

Search bulk actions

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
typeenumRequired
Allowed values:
finalize_invoicesobjectOptional
request_usage_reportsobjectOptional

Response

OK
typeenum
Allowed values:
number_of_resourcesinteger
included_example_resourceslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error